Bug 928330 - Review Request: webkit-sharp - .NET bindings for WebKit
Summary: Review Request: webkit-sharp - .NET bindings for WebKit
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eric Christensen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-27 12:56 UTC by Nikos Roussos
Modified: 2013-04-26 16:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-26 16:52:10 UTC
sparks: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nikos Roussos 2013-03-27 12:56:13 UTC
Spec URL: http://comzeradd.fedorapeople.org/webkit-sharp.spec
SRPM URL: http://comzeradd.fedorapeople.org/webkit-sharp-0.3-10.fc18.src.rpm
Description: WebKit-sharp is .NET bindings for the WebKit rendering engine.
Fedora Account System Username: comzeradd

This package was wrongly deprecated:
http://pkgs.fedoraproject.org/cgit/webkit-sharp.git/tree/dead.package
but it's a dependency for sparkleshare

Comment 1 Eric Christensen 2013-03-27 13:23:46 UTC
rpmlint comes back with an error.

# rpmlint webkit-sharp webkit-sharp-devel
webkit-sharp.x86_64: E: no-binary
webkit-sharp.x86_64: W: only-non-binary-in-usr-lib
webkit-sharp-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'

Comment 2 Nikos Roussos 2013-03-27 13:28:52 UTC
Yeap. This is expected behavior in mono packages
https://fedoraproject.org/wiki/Packaging:Mono#File_Locations

Comment 3 Eric Christensen 2013-03-27 18:46:48 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/webkit-sharp
  See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package requires other packages for directories it uses.
[X]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[X]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in webkit-
     sharp-devel
[X]: Package complies to the Packaging Guidelines
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)". 1 files have unknown license. Detailed output of
     licensecheck in /home/echriste/928330-webkit-sharp/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Uses parallel make.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: webkit-sharp-0.3-10.fc18.x86_64.rpm
          webkit-sharp-devel-0.3-10.fc18.x86_64.rpm
webkit-sharp.x86_64: E: no-binary
webkit-sharp.x86_64: W: only-non-binary-in-usr-lib
webkit-sharp-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint webkit-sharp webkit-sharp-devel
webkit-sharp.x86_64: E: no-binary
webkit-sharp.x86_64: W: only-non-binary-in-usr-lib
webkit-sharp-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
webkit-sharp (rpmlib, GLIBC filtered):
    mono(gdk-sharp)
    mono(glib-sharp)
    mono(gtk-sharp)
    mono(mscorlib)
    webkitgtk

webkit-sharp-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    pkgconfig
    pkgconfig(gtk-sharp-2.0)
    webkit-sharp



Provides
--------
webkit-sharp:
    mono(webkit-sharp)
    webkit-sharp
    webkit-sharp(x86-64)

webkit-sharp-devel:
    pkgconfig(webkit-sharp-1.0)
    webkit-sharp-devel
    webkit-sharp-devel(x86-64)



MD5-sum check
-------------
http://origin-download.mono-project.com/sources/webkit-sharp/webkit-sharp-0.3.tar.bz2 :
  CHECKSUM(SHA256) this package     : 6633630b6e4834b0f93726570d1c97e884470e3c400ae929cca2f1376b7b959a
  CHECKSUM(SHA256) upstream package : 6633630b6e4834b0f93726570d1c97e884470e3c400ae929cca2f1376b7b959a


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 928330

Comment 4 Eric Christensen 2013-03-27 18:48:11 UTC
APPROVED

Comment 5 Gwyn Ciesla 2013-03-28 12:57:15 UTC
No SCM request found, unsetting flag.

Comment 6 Nikos Roussos 2013-03-28 13:04:49 UTC
New Package SCM Request
=======================
Package Name: webkit-sharp
Short Description: .NET bindings for WebKit
Owners: comzeradd
Branches: f18 f19

Comment 7 Gwyn Ciesla 2013-03-28 13:26:13 UTC
unretired master, f18, f17, please submit package change request for f19.

Comment 8 Nikos Roussos 2013-03-28 13:33:28 UTC
Package Change Request
======================
Package Name: webkit-sharp
New Branches: f19
Owners: comzeradd

previously deprecated package

Comment 9 Gwyn Ciesla 2013-03-28 13:47:48 UTC
Git done (by process-git-requests).

Also, be sure to take ownership of the now-orphaned branches in pkgdb.


Note You need to log in before you can comment on or make changes to this bug.